curl --request PUT \
--url https://api.chargecloud.dev/api/v1/assets/stations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"controller_id": 123,
"export": true,
"evse": "<string>",
"position": "<string>",
"start_date": "2023-12-25",
"target_date": "2023-12-25",
"active_date": "2023-12-25",
"out_of_order_date": "2023-12-25",
"ip_protection_type": "<string>",
"particularities": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"green_power": false,
"vehicle_communication_type_id": 123,
"serial_number": 123,
"sticker": "<string>",
"color": "<string>",
"automatic_rebootable_rccb": false,
"house_connection_box": false,
"connection_cable": "<string>",
"closing": "<string>",
"building_level": "<string>",
"parking_fees": "<string>",
"crash_protection": false,
"mark": "<string>",
"comment": "<string>",
"ceiling_height": 123,
"investment_manager": "<string>",
"project": "<string>",
"order_number": "<string>",
"notification_number": "<string>",
"internal_comment": "<string>",
"upstream_supply_network": "<string>",
"protective_switch_devices": "<string>",
"full_safeguarding": 123,
"open_24_7": false,
"block_reservation": false,
"article_number": "<string>",
"conform_with_calibration_law": false,
"has_payment_terminal": false,
"iso_instance": "<string>",
"calibration_law_deadline": "2023-12-25"
}
'import requests
url = "https://api.chargecloud.dev/api/v1/assets/stations/{id}"
payload = {
"controller_id": 123,
"export": True,
"evse": "<string>",
"position": "<string>",
"start_date": "2023-12-25",
"target_date": "2023-12-25",
"active_date": "2023-12-25",
"out_of_order_date": "2023-12-25",
"ip_protection_type": "<string>",
"particularities": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"green_power": False,
"vehicle_communication_type_id": 123,
"serial_number": 123,
"sticker": "<string>",
"color": "<string>",
"automatic_rebootable_rccb": False,
"house_connection_box": False,
"connection_cable": "<string>",
"closing": "<string>",
"building_level": "<string>",
"parking_fees": "<string>",
"crash_protection": False,
"mark": "<string>",
"comment": "<string>",
"ceiling_height": 123,
"investment_manager": "<string>",
"project": "<string>",
"order_number": "<string>",
"notification_number": "<string>",
"internal_comment": "<string>",
"upstream_supply_network": "<string>",
"protective_switch_devices": "<string>",
"full_safeguarding": 123,
"open_24_7": False,
"block_reservation": False,
"article_number": "<string>",
"conform_with_calibration_law": False,
"has_payment_terminal": False,
"iso_instance": "<string>",
"calibration_law_deadline": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
controller_id: 123,
export: true,
evse: '<string>',
position: '<string>',
start_date: '2023-12-25',
target_date: '2023-12-25',
active_date: '2023-12-25',
out_of_order_date: '2023-12-25',
ip_protection_type: '<string>',
particularities: '<string>',
manufacturer: '<string>',
model: '<string>',
green_power: false,
vehicle_communication_type_id: 123,
serial_number: 123,
sticker: '<string>',
color: '<string>',
automatic_rebootable_rccb: false,
house_connection_box: false,
connection_cable: '<string>',
closing: '<string>',
building_level: '<string>',
parking_fees: '<string>',
crash_protection: false,
mark: '<string>',
comment: '<string>',
ceiling_height: 123,
investment_manager: '<string>',
project: '<string>',
order_number: '<string>',
notification_number: '<string>',
internal_comment: '<string>',
upstream_supply_network: '<string>',
protective_switch_devices: '<string>',
full_safeguarding: 123,
open_24_7: false,
block_reservation: false,
article_number: '<string>',
conform_with_calibration_law: false,
has_payment_terminal: false,
iso_instance: '<string>',
calibration_law_deadline: '2023-12-25'
})
};
fetch('https://api.chargecloud.dev/api/v1/assets/stations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"station": {
"id": 123,
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"modification_date": "2023-12-25",
"chargepoints": [
{
"chargepoint_evse_id": "<string>"
}
],
"location_id": 1,
"controller_id": 123,
"export": true,
"evse": "<string>",
"position": "<string>",
"start_date": "2023-12-25",
"target_date": "2023-12-25",
"active_date": "2023-12-25",
"out_of_order_date": "2023-12-25",
"ip_protection_type": "<string>",
"particularities": "<string>",
"manufacturer": "<string>",
"model": "<string>",
"green_power": false,
"vehicle_communication_type_id": 123,
"serial_number": 123,
"sticker": "<string>",
"color": "<string>",
"automatic_rebootable_rccb": false,
"house_connection_box": false,
"connection_cable": "<string>",
"closing": "<string>",
"building_level": "<string>",
"parking_fees": "<string>",
"crash_protection": false,
"mark": "<string>",
"comment": "<string>",
"ceiling_height": 123,
"investment_manager": "<string>",
"project": "<string>",
"order_number": "<string>",
"notification_number": "<string>",
"internal_comment": "<string>",
"upstream_supply_network": "<string>",
"protective_switch_devices": "<string>",
"full_safeguarding": 123,
"open_24_7": false,
"block_reservation": false,
"article_number": "<string>",
"conform_with_calibration_law": false,
"has_payment_terminal": false,
"iso_instance": "<string>",
"calibration_law_deadline": "2023-12-25"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Updates a station
Updates a station. Required permission: assets:station:update
Authorizations
OAuth2 Bearer Authorization
Path Parameters
ID of the station
Body
Updates a station. Required permission: assets:station:update
Id of the Controller
Export
Evses of the chargepoints
50Charging Technology
inductive, conductive Position
100Vehicle Type
ruralenergy, omnibus, four_wheeled, two_wheeled Status
in_planning, under_construction, factory_acceptance_test, demo, active, defect, out_of_order, removed, undefined Date of start
^\d{4}-\d{2}-\d{2}$Date of target
^\d{4}-\d{2}-\d{2}$Date of activation
^\d{4}-\d{2}-\d{2}$Out of order date
^\d{4}-\d{2}-\d{2}$IP protection type
5Particularities
64Manufacturer
100Model
100Green Power
Id of the vehicle communication type
Serial number
Mounting type
, free_standing, wall Sticker
100Color
50Automatic rebootable RCCB
House connection box
Connection cable
100Closing
200Building level
20Parking fees
200Crash protection
Mark
200Comment
500Ceiling height
Investment manager
64Project
64Order Number
64Notification number
64Internal comment
500Upstream supply network
32Protective switch devices
64Full safeguarding in ampere
open 24-7
Block reservation
Article number
16Conform with calibration law
Has payment terminal
ISO Instance
64Calibration law deadline
^\d{4}-\d{2}-\d{2}$Response
Station edited
Station
Show child attributes
Show child attributes
Was this page helpful?